/*
  standard Button for winamp Skin
  Copyright (C) 1999  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __WAINFO_H
#define __WAINFO_H

#include <tqpainter.h>
#include <tqtimer.h>

#include "waWidget.h"

class WaInfo : public WaWidget {
    Q_OBJECT
  

  public:
     WaInfo();
    ~WaInfo();

    void setText(TQString song);
    TQString text() const;
    void scrollerSetup();

  protected:
    void paintEvent(TQPaintEvent * paintEvent);

    void mousePressEvent (TQMouseEvent * e);
    void mouseMoveEvent (TQMouseEvent * e);
    void mouseReleaseEvent (TQMouseEvent * e);

    TQPixmap *completePixmap;
    TQString _text;
    TQTimer *timer;
    int xScrollPos;
    int xScrollDirection;
    int xGrabbedPos;

  protected slots:
    void pixmapChange();
    void timeEvent();
};
#endif
